<?php

/**
 * JTL Plugin
 * Copyright (C) 2011 - 2018 Andreas Petermann
 *
 * PHP version 5.6+
 *
 * @copyright css-umsetzung
 * @author Andreas Petermann <info@css-umsetzung.de>
 * @package css_shipping
 * @version 1.01
 *         
 */

namespace css_shipping;

require_once str_replace("frontend/","",$oPlugin->cFrontendPfad) . 'classes/class.css_shipping.php';
$cssPlugin = css_shipping::getInstance($oPlugin);

switch($oPlugin->nCalledHook) {
	case HOOK_SMARTY_OUTPUTFILTER:
			$cssPlugin->output();
		break;
	
	case HOOK_LETZTERINCLUDE_INC:	
		$cssPlugin->getShippingPrice();
		$cssPlugin->checkLessAndPackage();
		
		break;
		
	case HOOK_BESTELLVORGANG_PAGE:
		$cssPlugin->getShippingPrice();
		$cssPlugin->shippingFilter();
		
		break;
	
	case 	HOOK_BESTELLVORGANG_PAGE_STEPBESTAETIGUNG:
		$cssPlugin->checkShippingOption();
		break;
		
	case HOOK_WARENKORB_PAGE_ERMITTLEVERSANDKOSTEN:
		$land = '';
		$plz='';

		if(isset($_POST['versandrechnerBTN'])) {
			$land = \StringHandler::filterXSS($_POST['land']);
			$plz = \StringHandler::filterXSS($_POST['plz']);
		} 
		
		$cssPlugin->shippingFilter($land,$plz);
		break;
}

if(file_exists($oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php')) {
	require_once $oPlugin->cFrontendPfad.'inc/'.$oPlugin->nCalledHook.'.php';
}

	